Subject: Re: SmartGit, a new GUI front-end for Git

From: Thomas Singer <[email-masked]>
Date: Sat, 19 Sep 2009 16:11:23 +0200

Hi all,

The new build is uploaded. The ~/.gitconfig file now should be kept and on
Linux the splash screen hides before showing the initial dialog. Sorry for
any inconveniences.

--
Best regards,
Thomas Singer
=============
syntevo GmbH
http://www.syntevo.com
http://blog.syntevo.com

Thomas Singer wrote:
> Hi James,
> 
> Thanks for reporting this serious error. I will try to fix this in the next
> hour and upload a new build.
> 
> --
> Best regards,
> Thomas Singer
> =============
> syntevo GmbH
> http://www.syntevo.com
> http://blog.syntevo.com
> 
> 
> James Sadler wrote:
>> Hi Thomas,
>>
>> I just launched SmartGit, and it ate my ~/.gitconfig.  Luckily I had a
>> backup (full of my own aliases and colour settings etc.).
>>
>> SmartGit replaced mine with a ~/.gitconfig containing _only_ my name
>> and email settings.  Not good.  I would bet that 99% of all people on
>> this list have their own customized version of ~/.gitconfig and
>> SmartGit is probably going to eat it.  If it helps, I am running OS X.
>>
>> James.
>>
>> 2009/9/19 Thomas Singer <[email-masked]>:
>>> Hi all,
>>>
>>> We would like to announce a new milestone build of our Git client "SmartGit"
>>> (don't be offended by the name, it's historically based) which we feel is
>>> ready now for a broader audience. SmartGit is quite stable and we want to
>>> invite everyone who is interested in giving it a try:
>>>
>>>  http://www.syntevo.com/smartgit/index.html
>>>
>>> Please don't expect all Git features and options implemented. We have
>>> tried to first concentrate on the most important ones - from our rather
>>> novice Git perspective.
>>>
>>> SmartGit runs on all operating systems which support a full Java 1.5
>>> implementation, including virtually all Linux versions, OS X 10.4 - 10.6 and
>>> Windows 2000 or newer. It requires a Git installation, although a couple of
>>> time-critical operations are handled by the JGit library.
>>>
>>> We appreciate your feed-back in our mailing list
>>>
>>>  http://www.syntevo.com/smartgit/community.html
>>>
>>> or directly to us ([email-masked]). SmartGit 1.0 is planned to be
>>> released free of charge for non-commercial use or to active members of the
>>> Open Source community. Each pre-release build expires 3 months after the
>>> build-date.
>>>
>>> At this occasion I would also like to express my appreciation to the
>>> community for this great DVCS you have built. Approx. a 3/4 year ago I've
>>> started to use Git. Although I had some starting problems with it using the
>>> Git command line (mostly on Windows), I need to say that over time I really
>>> fell in love with Git and its elaborate foundations and feature set.
>>>
>>> --
>>> Best regards,
>>> Thomas Singer
>>> =============
>>> syntevo GmbH
>>> http://www.syntevo.com
>>> http://blog.syntevo.com
>>>
>>>
>>> --
>>> To unsubscribe from this list: send the line "unsubscribe git" in
>>> the body of a message to [email-masked]
>>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>>>
>>
>>
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
>